commit 13ac53bf4bf0330e2a9650e8b9cadd3593d70720
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sun Oct 12 02:24:54 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 3708c3415ce..b02689b0463 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2025-10-11  Robin Dapp  <rdapp.gcc@gmail.com>
+
+	Backported from master:
+	2025-10-07  Robin Dapp  <rdapp.gcc@gmail.com>
+
+	PR target/121845
+	* config/riscv/riscv-v.cc (shuffle_series_patterns):
+	Modulo indices for VLA and punt when wrapping for VLS.
+
 2025-10-08  Aurelien Jarno  <aurelien@aurel32.net>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 8a9a3b946b6..bb37c92e3f6 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251011
+20251012
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 81204a7e49d..a8521014f9e 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-10-11  Robin Dapp  <rdapp.gcc@gmail.com>
+
+	Backported from master:
+	2025-10-07  Robin Dapp  <rdapp.gcc@gmail.com>
+
+	PR target/121845
+	* gcc.target/riscv/rvv/autovec/pr121845.c: New test.
+
 2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
 
 	Backported from master:

